.module Patrol_System


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;       INCLUDES        ;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
.include "patrol.inc"
.include "sprites.inc"

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;  PLANTILLAS PATROL    ;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; SALE POR LA IZQUIERDA
patrol_1::
    .db  #15  , #80
    .db  #55  , #150
    .db  #130 , #150
    .db  #130 , #35
    .db  #80  , #85
    .db  patrol_invalid_number
    .dw  patrol_1

;; SALEN POR ARRIBA
patrol_2::
    .db  #75  , #50
    .db  #150 , #90
    .db  #100 , #90
    .db  #80  , #130
    .db  #25  , #100
    .db  patrol_invalid_number
    .dw  patrol_2

;; SALEN POR LA DERECHA
patrol_3::
    .db  #115 , #80
    .db  #15  , #35
    .db  #85  , #65
    .db  #85  , #140
    .db  #15  , #80
    .db  patrol_invalid_number
    .dw  patrol_3

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Funcion 'man_patrol_Get_Patrol'
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; INPUT: (A) Valor de la patrulla que
;;            queremos recuperar
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Devuelve en HL el puntero a la 
;; patrulla solicitada
;;
man_patrol_Get_Patrol::
    ld  hl, #patrol_1
    cp  #0
    jp  z, primera_patrulla
        ld  de, #PATROL_SIZE
        siguiente_patrulla:
            add hl, de
            dec a
        jp  nz, siguiente_patrulla
    primera_patrulla:
ret