.module Animations_System

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;      INCLUDES        ;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
.include "entity.inc"
.include "sprites.inc"
.include "Animaciones.inc"
.include "IA.inc"

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;  Funciones Propias ;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;  Variables Propias ;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
WALK_CYCLE = 2
anim_enemy_right::
    .db #WALK_CYCLE
    .dw sprites_soldado22
    .db #WALK_CYCLE
    .dw sprites_soldado21
    .db #WALK_CYCLE
    .dw sprites_soldado23
    .db #WALK_CYCLE
    .dw sprites_soldado21
    .db #0x00
    .dw anim_enemy_right
anim_enemy_left::
    .db #WALK_CYCLE
    .dw sprites_soldado19
    .db #WALK_CYCLE
    .dw sprites_soldado18
    .db #WALK_CYCLE
    .dw sprites_soldado20
    .db #WALK_CYCLE
    .dw sprites_soldado18
    .db #0x00
    .dw anim_enemy_left    
anim_enemy_up::
    .db #WALK_CYCLE
    .dw sprites_soldado2
    .db #WALK_CYCLE
    .dw sprites_soldado0
    .db #WALK_CYCLE
    .dw sprites_soldado1
    .db #WALK_CYCLE
    .dw sprites_soldado0
    .db #0x00
    .dw anim_enemy_up
anim_enemy_down::
    .db #WALK_CYCLE
    .dw sprites_soldado7
    .db #WALK_CYCLE
    .dw sprites_soldado6
    .db #WALK_CYCLE
    .dw sprites_soldado8
    .db #WALK_CYCLE
    .dw sprites_soldado6
    .db #0x00
    .dw anim_enemy_down
anim_enemy_down_left::
    .db #WALK_CYCLE
    .dw sprites_soldado10
    .db #WALK_CYCLE
    .dw sprites_soldado9
    .db #WALK_CYCLE
    .dw sprites_soldado11
    .db #WALK_CYCLE
    .dw sprites_soldado9
    .db #0x00
    .dw anim_enemy_down_left
anim_enemy_down_right::
    .db #WALK_CYCLE
    .dw sprites_soldado13
    .db #WALK_CYCLE
    .dw sprites_soldado12
    .db #WALK_CYCLE
    .dw sprites_soldado14
    .db #WALK_CYCLE
    .dw sprites_soldado12
    .db #0x00
    .dw anim_enemy_down_right
anim_enemy_up_left::
    .db #WALK_CYCLE
    .dw sprites_soldado16
    .db #WALK_CYCLE
    .dw sprites_soldado15
    .db #WALK_CYCLE
    .dw sprites_soldado17
    .db #WALK_CYCLE
    .dw sprites_soldado15
    .db #0x00
    .dw anim_enemy_up_left
anim_enemy_up_right::
    .db #WALK_CYCLE
    .dw sprites_soldado5
    .db #WALK_CYCLE
    .dw sprites_soldado3
    .db #WALK_CYCLE
    .dw sprites_soldado4
    .db #WALK_CYCLE
    .dw sprites_soldado3
    .db #0x00
    .dw anim_enemy_up_right

;; BANDIDO
anim_bandido_esconderse::
    .db #WALK_CYCLE
    .dw sprite_bandido26
    .db #WALK_CYCLE
    .dw sprite_bandido25
    .db #WALK_CYCLE
    .dw sprite_bandido24
    .db #0x00
    .dw anim_bandido_esconderse

anim_bandido_salir::
    .db #WALK_CYCLE
    .dw sprite_bandido24
    .db #WALK_CYCLE
    .dw sprite_bandido25
    .db #WALK_CYCLE
    .dw sprite_bandido26
    .db #0x00
    .dw anim_bandido_salir

anim_bandido_right::
    .db #WALK_CYCLE
    .dw sprite_bandido7
    .db #WALK_CYCLE
    .dw sprite_bandido6
    .db #WALK_CYCLE
    .dw sprite_bandido8
    .db #WALK_CYCLE
    .dw sprite_bandido6
    .db #0x00
    .dw anim_bandido_right
anim_bandido_left::
    .db #WALK_CYCLE
    .dw sprite_bandido16
    .db #WALK_CYCLE
    .dw sprite_bandido15
    .db #WALK_CYCLE
    .dw sprite_bandido17
    .db #WALK_CYCLE
    .dw sprite_bandido15
    .db #0x00
    .dw anim_bandido_left    
anim_bandido_up::
    .db #WALK_CYCLE
    .dw sprite_bandido2
    .db #WALK_CYCLE
    .dw sprite_bandido0
    .db #WALK_CYCLE
    .dw sprite_bandido1
    .db #WALK_CYCLE
    .dw sprite_bandido0
    .db #0x00
    .dw anim_bandido_up
anim_bandido_down::
    .db #WALK_CYCLE
    .dw sprite_bandido10
    .db #WALK_CYCLE
    .dw sprite_bandido9
    .db #WALK_CYCLE
    .dw sprite_bandido11
    .db #WALK_CYCLE
    .dw sprite_bandido9
    .db #0x00
    .dw anim_bandido_down
anim_bandido_down_left::
    .db #WALK_CYCLE
    .dw sprite_bandido13
    .db #WALK_CYCLE
    .dw sprite_bandido12
    .db #WALK_CYCLE
    .dw sprite_bandido14
    .db #WALK_CYCLE
    .dw sprite_bandido12
    .db #0x00
    .dw anim_bandido_down_left
anim_bandido_down_right::
    .db #WALK_CYCLE
    .dw sprite_bandido19
    .db #WALK_CYCLE
    .dw sprite_bandido18
    .db #WALK_CYCLE
    .dw sprite_bandido20
    .db #WALK_CYCLE
    .dw sprite_bandido18
    .db #0x00
    .dw anim_bandido_down_right
anim_bandido_up_left::
    .db #WALK_CYCLE
    .dw sprite_bandido22
    .db #WALK_CYCLE
    .dw sprite_bandido21
    .db #WALK_CYCLE
    .dw sprite_bandido23
    .db #WALK_CYCLE
    .dw sprite_bandido21
    .db #0x00
    .dw anim_bandido_up_left
anim_bandido_up_right::
    .db #WALK_CYCLE
    .dw sprite_bandido4
    .db #WALK_CYCLE
    .dw sprite_bandido3
    .db #WALK_CYCLE
    .dw sprite_bandido5
    .db #WALK_CYCLE
    .dw sprite_bandido3
    .db #0x00
    .dw anim_bandido_up_right


;; COYOTE
anim_coyote_right::
    .db #WALK_CYCLE
    .dw sprite_coyote1
    .db #WALK_CYCLE
    .dw sprite_coyote0
    .db #WALK_CYCLE
    .dw sprite_coyote2
    .db #WALK_CYCLE
    .dw sprite_coyote0
    .db #0x00
    .dw anim_coyote_right

anim_coyote_left::
    .db #WALK_CYCLE
    .dw sprite_coyote3
    .db #WALK_CYCLE
    .dw sprite_coyote5
    .db #WALK_CYCLE
    .dw sprite_coyote4
    .db #WALK_CYCLE
    .dw sprite_coyote5
    .db #0x00
    .dw anim_coyote_left

anim_coyote_up::
    .db #WALK_CYCLE
    .dw sprite_coyote7
    .db #WALK_CYCLE
    .dw sprite_coyote6
    .db #WALK_CYCLE
    .dw sprite_coyote8
    .db #WALK_CYCLE
    .dw sprite_coyote6
    .db #0x00
    .dw anim_coyote_up

anim_coyote_down::
    .db #WALK_CYCLE
    .dw sprite_coyote10
    .db #WALK_CYCLE
    .dw sprite_coyote9
    .db #WALK_CYCLE
    .dw sprite_coyote11
    .db #WALK_CYCLE
    .dw sprite_coyote9
    .db #0x00
    .dw anim_coyote_down

;; CALABAZA
anim_calabaza_right::
    .db #WALK_CYCLE*3
    .dw sprite_calabaza0
    .db #WALK_CYCLE*3
    .dw sprite_calabaza1
    .db #WALK_CYCLE*3
    .dw sprite_calabaza2
    ;.db #WALK_CYCLE*3
    ;.dw sprite_calabaza1
    .db #0x00
    .dw anim_calabaza_right
anim_calabaza_left::
    .db #WALK_CYCLE*3
    .dw sprite_calabaza2
    .db #WALK_CYCLE*3
    .dw sprite_calabaza1
    .db #WALK_CYCLE*3
    .dw sprite_calabaza0
    ;.db #WALK_CYCLE*3
    ;.dw sprite_calabaza1
    .db #0x00
    .dw anim_calabaza_left
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;  Funciones ;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Funcion 'sys_Animations_Update_One_Entity'
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; INPUT: (IX) Entidad a actualizar
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Actualiza el sprite de la entidad
;; Destruye HL, DE, A
;;
sys_animations_update_one_entity::
    ld a, Ent_ANIM_COUNT(ix)
    cp #0
    jp z, nocambiar
    dec a
    jp nz, nocambiar
        ld h, Ent_ANIM2(ix)
        ld l, Ent_ANIM1(ix)
        inc hl
        inc hl
        inc hl
        ld a,(hl)
        cp #0
        jp nz, final_animation
            inc hl
            ld e, (hl)
            inc hl
            ld d, (hl)
            ex de, hl
            ld a, (hl)
        final_animation:
        ld Ent_ANIM2(ix), h
        ld Ent_ANIM1(ix), l

        inc hl
        ld d, (hl)
        ld Ent_SPRITE1(ix), d
        inc hl
        ld d, (hl)
        ld Ent_SPRITE2(ix), d
    nocambiar:
    ld Ent_ANIM_COUNT(ix), a
ret

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Funcion 'sys_Animations_Update'
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; No tiene INPUT
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Llama a la funcion de entidad que 
;; recorre todo el array de entidades
;; para un componente en concreto (D)
;; y luego llama a la funcion en (HL)
;;
sys_animations_update::
    ld hl, #sys_animations_update_one_entity
    ld (forall_function), hl
    ld a, #e_cmp_animated
    ld (forall_filter), a                         ; Guardamos el componente en (D)
    call man_entity_forall_matching
    ret

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Funcion 'animaciones'
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; No tiene INPUT
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; 
;;
animaciones::
    ld a, #0
    cp Ent_VX(ix)
    jp z, no_x
    jp m, plus_x
    minus_x:
        cp Ent_VY(ix)
        jp z, left
        jp m, down_left
        up_left:
            ld a, Ent_DIRECCION(ix)
            cp #7
            jp z, final_anim_change
            ld a, Ent_TYPE(ix)
            cp #e_type_player
            jp nz, no_es_jugador
                ld Ent_ANIM1(ix), #<anim_enemy_up_left
                ld Ent_ANIM2(ix), #>anim_enemy_up_left
            jp end_animacion
            no_es_jugador:
            ld a, Ent_COLISION(ix)
            cp #e_type_player
            jp nz, es_animacion
                ld Ent_ANIM1(ix), #<anim_coyote_left
                ld Ent_ANIM2(ix), #>anim_coyote_left
            jp end_animacion
            es_animacion:
                ld Ent_ANIM1(ix), #<anim_bandido_up_left
                ld Ent_ANIM2(ix), #>anim_bandido_up_left
            end_animacion:
            ld Ent_DIRECCION(ix), #7    ; Direccion a la que mira
    jp final_anim_change
    plus_x:
        cp Ent_VY(ix)
        jp z, right
        jp m, down_right
        up_right:
            ld a, Ent_DIRECCION(ix)
            cp #1
            jp z, final_anim_change
            ld a, Ent_TYPE(ix)
            cp #e_type_player
            jp nz, no_es_jugador2
                ld Ent_ANIM1(ix), #<anim_enemy_up_right
                ld Ent_ANIM2(ix), #>anim_enemy_up_right
            jp end_animacion2
            no_es_jugador2:
            ld a, Ent_COLISION(ix)
            cp #e_type_player
            jp nz, es_animacion2
                ld Ent_ANIM1(ix), #<anim_coyote_right
                ld Ent_ANIM2(ix), #>anim_coyote_right
            jp end_animacion2
            es_animacion2:
                ld Ent_ANIM1(ix), #<anim_bandido_up_right
                ld Ent_ANIM2(ix), #>anim_bandido_up_right
            end_animacion2:
            ld Ent_DIRECCION(ix), #1    ; Direccion a la que mira
    jp final_anim_change
    no_x:
        cp Ent_VY(ix)
        jp z, quieto
        jp m, down
        up:
            ld a, Ent_DIRECCION(ix)
            cp #0
            jp z, final_anim_change
            ld a, Ent_TYPE(ix)
            cp #e_type_player
            jp nz, no_es_jugador3
                ld Ent_ANIM1(ix), #<anim_enemy_up
                ld Ent_ANIM2(ix), #>anim_enemy_up
            jp end_animacion3
            no_es_jugador3:
            ld a, Ent_COLISION(ix)
            cp #e_type_player
            jp nz, es_animacion3
                ld Ent_ANIM1(ix), #<anim_coyote_up
                ld Ent_ANIM2(ix), #>anim_coyote_up
            jp end_animacion3
            es_animacion3:
                ld Ent_ANIM1(ix), #<anim_bandido_up
                ld Ent_ANIM2(ix), #>anim_bandido_up
            end_animacion3:
            ld Ent_DIRECCION(ix), #0    ; Direccion a la que mira
    jp final_anim_change
    quieto:
        ld a, Ent_DIRECCION(ix)
        cp #4
        jp c, menor_4
        jp z, down_quieto
        mayor_4:
            cp #6
            jp c, down_left_quieto
            jp z, left_quieto
            up_left_quieto:
                ld a, Ent_TYPE(ix)
                cp #e_type_player
                jp nz, no_es_jugador4
                    ld Ent_ANIM1(ix), #<anim_enemy_up_left
                    ld Ent_ANIM2(ix), #>anim_enemy_up_left 
                jp final_anim_change  
                no_es_jugador4:
                ld a, Ent_COLISION(ix)
                cp #e_type_player
                jp nz, es_animacion4
                    ld Ent_ANIM1(ix), #<anim_coyote_left
                    ld Ent_ANIM2(ix), #>anim_coyote_left
                jp final_anim_change
                es_animacion4:
                    ld Ent_ANIM1(ix), #<anim_bandido_up_left
                    ld Ent_ANIM2(ix), #>anim_bandido_up_left  
                jp final_anim_change
            left_quieto:
                ld a, Ent_TYPE(ix)
                cp #e_type_player
                jp nz, no_es_jugador5
                    ld Ent_ANIM1(ix), #<anim_enemy_left
                    ld Ent_ANIM2(ix), #>anim_enemy_left  
                jp final_anim_change 
                no_es_jugador5: 
                ld a, Ent_COLISION(ix)
                cp #e_type_player
                jp nz, es_animacion5
                    ld Ent_ANIM1(ix), #<anim_coyote_left
                    ld Ent_ANIM2(ix), #>anim_coyote_left
                jp final_anim_change
                es_animacion5:
                    ld Ent_ANIM1(ix), #<anim_bandido_left
                    ld Ent_ANIM2(ix), #>anim_bandido_left  
                jp final_anim_change
            down_left_quieto:
                ld a, Ent_TYPE(ix)
                cp #e_type_player
                jp nz, no_es_jugador6
                    ld Ent_ANIM1(ix), #<anim_enemy_down_left
                    ld Ent_ANIM2(ix), #>anim_enemy_down_left   
                jp final_anim_change
                no_es_jugador6: 
                ld a, Ent_COLISION(ix)
                cp #e_type_player
                jp nz, es_animacion6
                    ld Ent_ANIM1(ix), #<anim_coyote_left
                    ld Ent_ANIM2(ix), #>anim_coyote_left
                jp final_anim_change
                es_animacion6:
                    ld Ent_ANIM1(ix), #<anim_bandido_down_left
                    ld Ent_ANIM2(ix), #>anim_bandido_down_left   
                jp final_anim_change
    menor_4:
            cp #2
            jp c, menor_2
            jp z, right_quieto
            down_right_quieto:
                ld a, Ent_TYPE(ix)
                cp #e_type_player
                jp nz, no_es_jugador7
                    ld Ent_ANIM1(ix), #<anim_enemy_down_right
                    ld Ent_ANIM2(ix), #>anim_enemy_down_right  
                jp final_anim_change   
                no_es_jugador7:
                ld a, Ent_COLISION(ix)
                cp #e_type_player
                jp nz, es_animacion7
                    ld Ent_ANIM1(ix), #<anim_coyote_right
                    ld Ent_ANIM2(ix), #>anim_coyote_right
                jp final_anim_change
                es_animacion7:
                    ld Ent_ANIM1(ix), #<anim_bandido_down_right
                    ld Ent_ANIM2(ix), #>anim_bandido_down_right   
                jp final_anim_change    
            menor_2:
                cp #0
                jp z, up_quieto
                up_right_quieto:
                    ld a, Ent_TYPE(ix)
                    cp #e_type_player
                    jp nz, no_es_jugador8
                        ld Ent_ANIM1(ix), #<anim_enemy_up_right
                        ld Ent_ANIM2(ix), #>anim_enemy_up_right
                    jp final_anim_change
                    no_es_jugador8:
                    ld a, Ent_COLISION(ix)
                    cp #e_type_player
                    jp nz, es_animacion8
                        ld Ent_ANIM1(ix), #<anim_coyote_right
                        ld Ent_ANIM2(ix), #>anim_coyote_right
                    jp final_anim_change
                    es_animacion8:
                        ld Ent_ANIM1(ix), #<anim_bandido_up_right
                        ld Ent_ANIM2(ix), #>anim_bandido_up_right
                    jp final_anim_change
            right_quieto:
                ld a, Ent_TYPE(ix)
                cp #e_type_player
                jp nz, no_es_jugador9
                    ld Ent_ANIM1(ix), #<anim_enemy_right
                    ld Ent_ANIM2(ix), #>anim_enemy_right   
                jp final_anim_change
                no_es_jugador9:
                ld a, Ent_COLISION(ix)
                cp #e_type_player
                jp nz, es_animacion9
                    ld Ent_ANIM1(ix), #<anim_coyote_right
                    ld Ent_ANIM2(ix), #>anim_coyote_right
                jp final_anim_change
                es_animacion9:
                    ld Ent_ANIM1(ix), #<anim_bandido_right
                    ld Ent_ANIM2(ix), #>anim_bandido_right   
                jp final_anim_change
    down_quieto:
        ld a, Ent_TYPE(ix)
        cp #e_type_player
        jp nz, no_es_jugador10
            ld Ent_ANIM1(ix), #<anim_enemy_down
            ld Ent_ANIM2(ix), #>anim_enemy_down    
        jp final_anim_change
        no_es_jugador10:
        ld a, Ent_COLISION(ix)
        cp #e_type_player
        jp nz, es_animacion10
            ld Ent_ANIM1(ix), #<anim_coyote_down
            ld Ent_ANIM2(ix), #>anim_coyote_down
        jp final_anim_change
        es_animacion10:
            ld Ent_ANIM1(ix), #<anim_bandido_down
            ld Ent_ANIM2(ix), #>anim_bandido_down    
        jp final_anim_change
    up_quieto:
        ld a, Ent_TYPE(ix)
        cp #e_type_player
        jp nz, no_es_jugador11
            ld Ent_ANIM1(ix), #<anim_enemy_up
            ld Ent_ANIM2(ix), #>anim_enemy_up
        jp final_anim_change
        no_es_jugador11:
        ld a, Ent_COLISION(ix)
        cp #e_type_player
        jp nz, es_animacion11
            ld Ent_ANIM1(ix), #<anim_coyote_right
            ld Ent_ANIM2(ix), #>anim_coyote_right
        jp final_anim_change
        es_animacion11:
            ld Ent_ANIM1(ix), #<anim_bandido_up
            ld Ent_ANIM2(ix), #>anim_bandido_up
        jp final_anim_change
    right:
        ld a, Ent_DIRECCION(ix)
        cp #2
        jp z, final_anim_change
        ld a, Ent_TYPE(ix)
        cp #e_type_player
        jp nz, no_es_jugador12
            ld Ent_ANIM1(ix), #<anim_enemy_right
            ld Ent_ANIM2(ix), #>anim_enemy_right
        jp end_animacion4
        no_es_jugador12:
        ld a, Ent_COLISION(ix)
        cp #e_type_player
        jp nz, es_animacion12
            ld Ent_ANIM1(ix), #<anim_coyote_right
            ld Ent_ANIM2(ix), #>anim_coyote_right
        jp end_animacion4
        es_animacion12:
            ld Ent_ANIM1(ix), #<anim_bandido_right
            ld Ent_ANIM2(ix), #>anim_bandido_right
        end_animacion4:
        ld Ent_DIRECCION(ix), #2    ; Direccion a la que mira
    jp final_anim_change
    left:
        ld a, Ent_DIRECCION(ix)
        cp #6
        jp z, final_anim_change
        ld a, Ent_TYPE(ix)
        cp #e_type_player
        jp nz, no_es_jugador13
            ld Ent_ANIM1(ix), #<anim_enemy_left
            ld Ent_ANIM2(ix), #>anim_enemy_left
        jp end_animacion5
        no_es_jugador13:
        ld a, Ent_COLISION(ix)
        cp #e_type_player
        jp nz, es_animacion13
            ld Ent_ANIM1(ix), #<anim_coyote_left
            ld Ent_ANIM2(ix), #>anim_coyote_left
        jp end_animacion5
        es_animacion13:
            ld Ent_ANIM1(ix), #<anim_bandido_left
            ld Ent_ANIM2(ix), #>anim_bandido_left
        end_animacion5:
        ld Ent_DIRECCION(ix), #6    ; Direccion a la que mira
    jp final_anim_change
    down:
        ld a, Ent_DIRECCION(ix)
        cp #4
        jp z, final_anim_change
        ld a, Ent_TYPE(ix)
        cp #e_type_player
        jp nz, no_es_jugador14
            ld Ent_ANIM1(ix), #<anim_enemy_down
            ld Ent_ANIM2(ix), #>anim_enemy_down
        jp end_animacion6
        no_es_jugador14:
        ld a, Ent_COLISION(ix)
        cp #e_type_player
        jp nz, es_animacion14
            ld Ent_ANIM1(ix), #<anim_coyote_down
            ld Ent_ANIM2(ix), #>anim_coyote_down
        jp end_animacion6
        es_animacion14:
            ld Ent_ANIM1(ix), #<anim_bandido_down
            ld Ent_ANIM2(ix), #>anim_bandido_down
        end_animacion6:
        ld Ent_DIRECCION(ix), #4    ; Direccion a la que mira
    jp final_anim_change
    down_right:
        ld a, Ent_DIRECCION(ix)
        cp #3
        jp z, final_anim_change
        ld a, Ent_TYPE(ix)
        cp #e_type_player
        jp nz, no_es_jugador15
            ld Ent_ANIM1(ix), #<anim_enemy_down_right
            ld Ent_ANIM2(ix), #>anim_enemy_down_right
        jp end_animacion7
        no_es_jugador15:
        ld a, Ent_COLISION(ix)
        cp #e_type_player
        jp nz, es_animacion15
            ld Ent_ANIM1(ix), #<anim_coyote_right
            ld Ent_ANIM2(ix), #>anim_coyote_right
        jp end_animacion7
        es_animacion15:
            ld Ent_ANIM1(ix), #<anim_bandido_down_right
            ld Ent_ANIM2(ix), #>anim_bandido_down_right
        end_animacion7:
        ld Ent_DIRECCION(ix), #3    ; Direccion a la que mira
    jp final_anim_change
    down_left:
        ld a, Ent_DIRECCION(ix)
        cp #5
        jp z, final_anim_change
        ld a, Ent_TYPE(ix)
        cp #e_type_player
        jp nz, no_es_jugador16
        ld Ent_ANIM1(ix), #<anim_enemy_down_left
        ld Ent_ANIM2(ix), #>anim_enemy_down_left
        jp end_animacion8
        no_es_jugador16:
        ld a, Ent_COLISION(ix)
        cp #e_type_player
        jp nz, es_animacion16
        ld Ent_ANIM1(ix), #<anim_coyote_left
        ld Ent_ANIM2(ix), #>anim_coyote_left
        jp end_animacion8
        es_animacion16:
        ld Ent_ANIM1(ix), #<anim_bandido_down_left
        ld Ent_ANIM2(ix), #>anim_bandido_down_left
        end_animacion8:
        ld Ent_DIRECCION(ix), #5    ; Direccion a la que mira
    final_anim_change:

    ret